Un capítulo más entre PulseAudio y Ubuntu

Una de las criticas principales que se hace a Ubuntu es la deficiencia de PulseAudio. Recordemos que PulseAudio (antiguamente PolypAudio) es un servidor de sonido multiplataforma, capaz de funcionar por red, licenciado bajo los terminos de GNU LGPL(para las librerías de software)GNU GPL (para el servidor de sonido en sí), PulseAudio es software libre.

El desarrollador de PulseAudio, Lennart Poettering culpa en parte a las distribuciones del mal funcionamiento de PulseAudio, especialmente en el caso de Ubuntu. Aún así, parece que albergaba unas pocas esperanzas de mejoría que ahora se han visto frustradas.

PulseAudio depende, desde hace un tiempo y hasta cierto punto, de un componente que le permite usar un planificador en tiempo real. Este componente se llama RealtimeKit (os animo a leer más sobre él en suanuncio de publicación, que si lo explico por aquí se duerme la mitad de la gente). El problema es que este componente depende de una funcionalidad en el núcleo que necesitaba un parche que no han querido incluir en Ubuntu 9.10.

PulseAudio puede funcionar también sin RealtimeKit, pero desde luego no de forma óptima. Lennart ha expresado su enfado en su blog, pero no parece haber servido para mucho.

Los responsables del núcleo de Ubuntu tienen sus motivos para no haber incluido el parche. Cuando se planteó su inclusión en septiembre ya les pareció demasiado tarde, preocupados del impacto que el parche podría causar en el resto del sistema.

Por otra parte, cuenta Poettering, el parche lleva meses en Fedora y ha entrado de forma oficial en versiones posteriores del núcleo sin ningún problema, por lo que no entiende la decisión. «¡Esto no está bien, Ubuntu, pero que nada bien! Y una vez más todo el mundo me dará las quejas a mí por esta cagada vuestra. ¡Gracias!».

Sea como fuere, si alguna vez os encontráis problemas de sonido con Ubuntu 9.10 no os caguéis en PulseAudio y en su autor, hacedlo en los responsables del núcleo de Ubuntu. Al menos las veces pares.

Ya que el parche está aceptado en el núcleo oficial, solo es cuestión de tiempo que el conflicto se solucione de manera automática para cuando salga Ubuntu 10.04 Lucid Lynx. Mientras tanto, y dado el estado actual de la publicación de Ubuntu 9.10, me temo que queda poco que rascar.

De manera que la promesa de la inclusión de un PulseAudio sin fallas parece alejarse, al menos con las acusaciones de su desarrollador.

Fuente

Dejar un comentario?

0 Comentarios.

Deje un comentario


NOTA - Puede usar estosHTML tags and attributes:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

Translate »